API referenceSegments

Count a segment’s contacts now

GET/segments/{id}/preview

A live count and sample of up to 20; refreshes the cached count of a filter segment.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/segments/string/preview"
{  "object": "segment_preview",  "contacts_count": 0,  "sample": [    {      "id": "string",      "email": "string"    }  ]}